package de.hft.stuttgart.citydoctor2.webservice.model;

import java.util.ArrayList;
import java.util.List;

public class ModelReference {

	private int id;
	private String name;
	private ParseStatus status;
	private List<ValidationReference> validations = new ArrayList<>();

	public ModelReference(int id, String name, ParseStatus status) {
		super();
		this.id = id;
		this.name = name;
		this.status = status;
	}

	public List<ValidationReference> getValidations() {
		return validations;
	}

	public void setValidations(List<ValidationReference> validations) {
		this.validations = validations;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public ParseStatus getStatus() {
		return status;
	}

	public void setStatus(ParseStatus status) {
		this.status = status;
	}

}
